CollegeWizard/Models/Job.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class Job
    {
        public int PNo { get; set; }
        [Required]
        public string Office { get; set; }
        [Required]
        public string Department { get; set; }
        [Required]
        public int Salary { get; set; }

        
    }
}

CollegeWizard/Models/PerAcc.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class PerAcc
    {
        public PersonDetail PersonDetail { get; set; }
        public PersonAddress PersonAddress { get; set; }
        public Job Job { get; set; }
        public Study Study { get; set; }

        [Required]
        public string Name { get; set; }
        [Required]
        public int Salary { get; set; }
        [Required]
        public string School { get; set; }
        [Required]
        public string College { get; set; }
        [Required]
        public string Office { get; set; }
        [Required]
        public string Department { get; set; }
        [Required]
        public string Phone { get; set; }
        [Required]
        public string Country { get; set; }

        public byte GId { get; set; }


        public byte DId { get; set; }
        public string DistrictName { get; set; }
    }
}

CollegeWizard/Models/PersonAddress.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class PersonAddress
    {
        public int PNo { get; set; }
        [Required]
        public string Phone { get; set; }
        [Required]
        public string Country { get; set; }

        public District District { get; set; }
        [Required]
        public byte DId { get; set; }

        //xtrz\a
        [Required]
        public int Salary { get; set; }
    }
}

CollegeWizard/Models/PersonDetail.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class PersonDetail
    {
        public int PNo { get; set; }

        [Display(Name = "Full Name")]
        public string Name { get; set; }
        [Display(Name = " Select Gender")]

        public Gender Gender { get; set; }
        public byte GId { get; set; }

    }
}

CollegeWizard/Models/Study.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class Study
    {
        public int PNo { get; set; }
        [Required]
        public string School { get; set; }
        [Required]
        public string College { get; set; }
    }
}

CollegeWizard/Controllers/PerAccController.cs
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CollegeWizard.Models;
using Dapper;

namespace CollegeWizard.Controllers
{
    public class PerAccController : Controller
    {
        // GET: PerAcc
        public ActionResult Index(string BtnCalc)
        {
            List<Gender> genderList = new List<Gender>();
            List<District> districtList = new List<District>();
            using (IDbConnection db = new SqlConnection(ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString))
            {
                genderList = db.Query<Gender>("Select * From Gender").ToList();
                districtList = db.Query<District>("Select * From District").ToList();
            }
            ViewBag.GId = new SelectList(genderList, "GId", "GName");
            ViewBag.DId = new SelectList(districtList, "DId", "DistrictName");

            if (BtnCalc != null)
            {
                return View("PersonDetail");
            }
            return View();
        }


        private PerAcc GetPersonAccount()
        {
            if (Session["PersonAccount"] == null)
            {
                Session["PersonAccount"] = new PerAcc();
            }
            return (PerAcc)Session["PersonAccount"];
        }

        private void RemovePersonAccount()
        {
            Session.Remove("PersonAccount");
        }

        [HttpPost]
        public ActionResult PersonDetail(PersonDetail acc, string prevBtn, string nextBtn)
        {
            PerAcc obj = GetPersonAccount();

            List<Gender> genderList = new List<Gender>();
            List<District> districtList = new List<District>();
            using (IDbConnection db = new SqlConnection(ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString))
            {
                genderList = db.Query<Gender>("Select * From Gender").ToList();
                districtList = db.Query<District>("Select * From District").ToList();
            }
            ViewBag.GId = new SelectList(genderList, "GId", "GName");
            ViewBag.DId = new SelectList(districtList, "DId", "DistrictName");

            if (nextBtn != null)
            {               
                PersonAddress pa = new PersonAddress();
                pa.Phone = obj.Phone;
                pa.Country = obj.Country;
                pa.Salary = obj.Salary;
                pa.DId = obj.DId;
                ViewBag.DId = new SelectList(districtList, "DId", "DistrictName", pa.DId);

                if (ModelState.IsValid)
                {
                    obj.Name = acc.Name;
                    obj.GId = acc.GId;
                    return View("PersonAddress", pa);
                }
            }
            return View();
        }

        [HttpPost]
        public ActionResult PersonAddress(PersonAddress acc, string prevBtn, string nextBtn)
        {
            PerAcc obj = GetPersonAccount();

            List<Gender> genderList = new List<Gender>();
            List<District> districtList = new List<District>();
            using (IDbConnection db = new SqlConnection(ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString))
            {
                genderList = db.Query<Gender>("Select * From Gender").ToList();
                districtList = db.Query<District>("Select * From District").ToList();
            }
            ViewBag.GId = new SelectList(genderList, "GId", "GName");
            ViewBag.DId = new SelectList(districtList, "DId", "DistrictName");

            if (prevBtn != null)
            {
                obj.Phone = acc.Phone;
                obj.Country = acc.Country;
                obj.Salary = acc.Salary;
                obj.DId = acc.DId;

                PersonDetail pd = new PersonDetail();
                pd.Name = obj.Name;
                pd.GId = obj.GId;
                ViewBag.GId = new SelectList(genderList, "GId", "GName", pd.GId);
                return View("PersonDetail", pd);
            }

            if (nextBtn != null)
            {
                Study s = new Study();
                s.School = obj.School;
                s.College = obj.College;

                if (ModelState.IsValid)
                {
                    obj.Phone = acc.Phone;
                    obj.Country = acc.Country;
                    obj.DId = acc.DId;
                    obj.Salary = acc.Salary;
                    return View("Study", s);
                }
            }
            return View();
        }
        [HttpPost]
        public ActionResult Study(Study acc, string prevBtn, string nextBtn)
        {
            PerAcc obj = GetPersonAccount();

            List<Gender> genderList = new List<Gender>();
            List<District> districtList = new List<District>();
            using (IDbConnection db = new SqlConnection(ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString))
            {
                genderList = db.Query<Gender>("Select * From Gender").ToList();
                districtList = db.Query<District>("Select * From District").ToList();
            }
            ViewBag.GId = new SelectList(genderList, "GId", "GName");
            ViewBag.DId = new SelectList(districtList, "DId", "DistrictName");
            
            if (prevBtn != null)
            {
                obj.School = acc.School;
                obj.College = acc.College;

                PersonAddress pa = new PersonAddress();
                pa.Phone = obj.Phone;
                pa.Country = obj.Country;
                pa.Salary = obj.Salary;
                pa.DId = obj.DId;
                ViewBag.DId = new SelectList(districtList, "DId", "DistrictName",pa.DId);
                return View("PersonAddress", pa);
            }

            if (nextBtn != null)
            {
                Job j = new Job();
                j.Office = obj.Office;
                j.Department = obj.Department;

                if (ModelState.IsValid)
                {
                    obj.School = acc.School;
                    obj.College = acc.College;
                    return View("Job", j);
                }
            }
            return View();
        }
        [HttpPost]
        public ActionResult Job(Job acc, string prevBtn, string nextBtn)
        {
            PerAcc obj = GetPersonAccount();
            if (prevBtn != null)
            {
                obj.Office = acc.Office;
                obj.Department = acc.Department;

                Study s = new Study();
                s.School = obj.School;
                s.College = obj.College;
                return View("Study", s);

            }
            if (nextBtn != null)
            {
                if (ModelState.IsValid)
                {
                    obj.Office = acc.Office;
                    obj.Department = acc.Department;

                    int pnum;
                    try
                    {
                        using (IDbConnection db = new SqlConnection(ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString))
                        {
                            pnum = db.Query<PersonDetail>(@"select Top 1 PNo from PersonDetail Order By PNo Desc;").SingleOrDefault().PNo;

                        }
                    }
                    catch (Exception Ex)
                    {
                        pnum = 5000;
                    }
                    string gen;
                    string dis;
                    using (IDbConnection db = new SqlConnection(ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString))
                    {
                        gen = db.Query<Gender>(@"select * from Gender where GId = @GId", new { obj.GId }).SingleOrDefault().GName;
                        dis = db.Query<District>(@"select * from District where DId = @DId", new { obj.DId }).SingleOrDefault().DistrictName;

                    }
                    Random rnd = new Random();
                    int rand = rnd.Next(1, 60);
                    int snum = pnum + rand;
                    using (IDbConnection db = new SqlConnection(ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString))
                    {
                        db.Query<PersonDetail>(@"INSERT INTO PersonDetail (PNo, GNAme, Name ) VALUES (@snum, @gen, @Name )", new { snum, gen, obj.Name });
                        db.Query<PersonAddress>(@"INSERT INTO PersonAddress (PNo, Phone, DistrictName ,Country ) VALUES (@snum, @Phone,@dis,@Country )", new { snum, obj.Phone, dis, obj.Country });
                        db.Query<Study>(@"INSERT INTO Study (PNo, School, College ) VALUES (@snum, @School,@College )", new { snum, obj.School, obj.College });
                        db.Query<Job>(@"INSERT INTO Job (PNo, Office, Department,Salary ) VALUES (@snum, @Office, @Department,@Salary )", new { snum, obj.Office, obj.Department, obj.Salary });
                    }
                    RemovePersonAccount();
                    return View("Success");
                }
            }
            return View();
        }

    }
}

CollegeWizard/Views/PerAcc/Index.cshtml
@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>
</head>
<body>
   @using (Html.BeginForm("Index", "PerAcc", FormMethod.Post))
     {
        <br />
        <input type="submit" name="BtnCalc" value='Next' />
     }
</body>
</html>

CollegeWizard/Views/PerAcc/Job.cshtml
@model CollegeWizard.Models.Job

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Job</title>
</head>
<body>
    @using (Html.BeginForm("Job", "PerAcc", FormMethod.Post))
    {
        <h1>Step 2 : Study Details</h1>

        @Html.LabelFor(m => m.Office)<br />
        @Html.TextBoxFor(m => m.Office)
        @Html.ValidationMessageFor(m => m.Office)
        <br />
        @Html.LabelFor(m => m.Department)<br />
        @Html.TextBoxFor(m => m.Department)
        @Html.ValidationMessageFor(m => m.Department)

        <br />
        <input type="submit" name="prevBtn" value='Previous' />
        <input type="submit" name="nextBtn" value="Finish" />
    }
</body>
</html>

CollegeWizard/Views/PerAcc/PersonAddress.cshtml
@model CollegeWizard.Models.PersonAddress

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>AddressDetails</title>
</head>
<body>
    @using (Html.BeginForm("PersonAddress", "PerAcc", FormMethod.Post))
    {
        <h1>Step 2 : Address Details</h1>
        @Html.LabelFor(m => m.Phone)<br />
        @Html.TextBoxFor(m => m.Phone)
        @Html.ValidationMessageFor(m => m.Phone)
        <br />

        @Html.LabelFor(m => m.Country)<br />
        @Html.TextBoxFor(m => m.Country)
        @Html.ValidationMessageFor(m => m.Country)
        <br />
        <div class="form-group">
            @Html.Label("District")
            <div class="col-md-10">
                @Html.DropDownList("DId", null, "--Select District--", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.DId, "", new { @class = "text-danger" })
            </div>
        </div>
        <br />
        @Html.LabelFor(m => m.Salary)<br />
        @Html.TextBoxFor(m => m.Salary)
        @Html.ValidationMessageFor(m => m.Salary)

        <br />
        <input type="submit" name="prevBtn" value='Previous' />
        <input type="submit" name="nextBtn" value='Next' />
    }
</body>
</html>

CollegeWizard/Views/PerAcc/PersonDetail.cshtml
@model CollegeWizard.Models.PersonDetail


@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>PersonDetail</title>
</head>
<body>
    @using (Html.BeginForm("PersonDetail", "PerAcc", FormMethod.Post))
    {
        <h1>Step 1 : Personal Details</h1>

        @Html.LabelFor(m => m.Name)<br />
        @Html.TextBoxFor(m => m.Name)
        @Html.ValidationMessageFor(m => m.Name)
        <br />
        <br />
        <div class="form-group">
            @Html.Label("Gender")
            <div class="col-md-10">
                @Html.DropDownList("GId", null, "--Select Gender--", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.GId, "", new { @class = "text-danger" })
            </div>
        </div>



        <br />
        <input type="submit" name="nextBtn" value='Next' />
    }
</body>
</html>

CollegeWizard/Views/PerAcc/Study.cshtml
@model CollegeWizard.Models.Study

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Study</title>
</head>
<body>
    @using (Html.BeginForm("Study", "PerAcc", FormMethod.Post))
    {
        <h1>Step 2 : Study Details</h1>

        @Html.LabelFor(m => m.School)<br />
        @Html.TextBoxFor(m => m.School)
        @Html.ValidationMessageFor(m => m.School)
        <br />
        @Html.LabelFor(m => m.College)<br />
        @Html.TextBoxFor(m => m.College)
        @Html.ValidationMessageFor(m => m.College)

        <br />
        <input type="submit" name="prevBtn" value='Previous' />
        <input type="submit" name="nextBtn" value='Next' />
    }
</body>
</html>

CollegeWizard/Views/PerAcc/Success.cshtml
@{

    ViewBag.Title = "Success";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



<h3>Person Saved Successfully! Thanks</h3>



<div>

    @Html.ActionLink("Add Another Person", "Index", "PerAcc")

</div>